Subject: Re: [PATCH net-next v2] tipc: fix undefined __ipv6_sock_mc_join compile error

From: Ying Xue <[email-masked]>
Date: Wed, 11 Mar 2015 11:11:37 +0800

On 03/11/2015 12:47 AM, David Miller wrote:
> From: Willem de Bruijn <[email-masked]>
> Date: Tue, 10 Mar 2015 11:41:03 -0400
> 
>> On Tue, Mar 10, 2015 at 4:41 AM, Ying Xue <[email-masked]> wrote:
>>> @@ -5,6 +5,7 @@
>>>  menuconfig TIPC
>>>         tristate "The TIPC Protocol"
>>>         depends on INET
>>> +       depends on (IPV6 || IPV6=n)
>>
>> Should this be limited to TIPC_MEDIA_UDP?
> 
> I think it should.
> 
> 

My first thought is also same as you. But when the dependency like (IPV6 ||
IPV6=n) is enforced to TIPC_MEDIA_UDP, it doesn't work in the below case:

IPV6=m and TIPC=Y.

In above condition, TIPC_MEDIA_UDP is still set to "Y".

However, if I change the dependency to IPV6=y and IPV6=n, and allow it to limit
TIPC_MEDIA_UDP, TIPC modules can be built successfully in kinds of cases.

Thank for your review! Please wait a moment, and I will fix it in next version.

Regards,
Ying